## gerbera-dmo 2.6.0

=== CMakeLists.txt ===
#*GRB*
#
#  Gerbera - https://gerbera.io/
#
#  CMakeLists.txt - this file is part of Gerbera.
#
#  Copyright (C) 2016-2025 Gerbera Contributors
#
#  Gerbera is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation.
#
#  Gerbera is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Gerbera.  If not, see <http://www.gnu.org/licenses/>.
#
#  $Id$

cmake_minimum_required(VERSION 3.19 FATAL_ERROR)
cmake_policy(VERSION 3.13)

# Only set for release tags
# You should only see version "git" when built from a git snapshot tarball
set(GERBERA_VERSION "2.6.0")

project(Gerbera
        DESCRIPTION "UPnP Media Server"
        HOMEPAGE_URL "https://gerbera.io"
        LANGUAGES CXX C)

list(APPEND CMAKE_MODULE_PATH "${CMAKE_SOURCE_DIR}/cmake")

# If Conan stuff is present, load it
include(${CMAKE_BINARY_DIR}/conanbuildinfo.cmake OPTIONAL)
if(COMMAND conan_basic_setup)
    # Prefer the conan FindModules
    list(PREPEND CMAKE_MODULE_PATH ${CMAKE_BINARY_DIR})
    conan_basic_setup(TARGETS)
endif()

# set(CMAKE_INSTALL_PREFIX /usr/local)
set(CMAKE_INSTALL_BINDIR bin)
set(CMAKE_INSTALL_DATADIR share/gerbera)
set(CMAKE_INSTALL_MANDIR share/man/man1)

option(WITH_NPUPNP            "Use npupnp instead of libupnp" OFF)
option(WITH_MAGIC             "Use libmagic to identify file mime types" ON)
option(WITH_MYSQL             "Store media information in MySQL DB" OFF)
option(WITH_CURL              "CURL required for online services" ON)
option(WITH_INOTIFY           "Enable Inotify file monitoring support" ON)
option(WITH_JS                "Enable JavaScript for scripting" ON)
option(WITH_TAGLIB            "Use TagLib to extract audio file metadata" ON)
option(WITH_AVCODEC           "Use ffmpeg/libav to extract file metadata" OFF)
option(WITH_WAVPACK           "Use wavpack to extract audio file metadata" OFF)
option(WITH_FFMPEGTHUMBNAILER "Enable Thumbnail generation" OFF)
option(WITH_EXIF              "Use libexif to extract image metadata" ON)
option(WITH_EXIV2             "Use libexiv2 to extract image metadata" ON)
option(WITH_MATROSKA          "Use libmatroska to extract video/mkv metadata" ON)
option(WITH_SYSTEMD           "Install Systemd unit file" ON)
option(WITH_LASTFM            "Enable scrobbling to LastFM" OFF)
option(WITH_ICU               "Enable Support for transliteration" ON)
option(WITH_ONLINE_SERVICES   "Enable support for Online Services" OFF) # currently there is no online service left, this enables compiling the empty shell
option(WITH_DEBUG             "Enables debug logging" ON)
option(WITH_DEBUG_OPTIONS     "Enables dedicated debug messages" ON)
option(WITH_TESTS             "Build unit tests" OFF)

option(INSTALL_DOC            "Install generated documentation into target" OFF)
option(BUILD_DOC              "Add 'doc' target to generate source documentation" OFF)
option(BUILD_CHANGELOG        "Build 'changelog.gz' file for Debian packages" OFF)

# For building packages without depending on the old system libupnp
option(STATIC_LIBUPNP         "Link to libupnp statically" OFF)

# Leverage a modern C++
# Set defaults here before we create targets
set(CMAKE_CXX_STANDARD 17)
# Cygwin requires extensions for a lot of the networking stuff.
if(CYGWIN)
    set(CMAKE_CXX_STANDARD_REQUIRED NO)
    set(CMAKE_CXX_EXTENSIONS YES)
else(CYGWIN)
    set(CMAKE_CXX_STANDARD_REQUIRED YES)
    set(CMAKE_CXX_EXTENSIONS NO)
endif(CYGWIN)

add_library(libgerbera STATIC
        src/action_request.cc
        src/action_request.h
        src/cds/cds_container.cc
        src/cds/cds_container.h
        src/cds/cds_enums.cc
        src/cds/cds_enums.h
        src/cds/cds_item.cc
        src/cds/cds_item.h
        src/cds/cds_objects.cc
        src/cds/cds_objects.h
        src/cds/cds_resource.cc
        src/cds/cds_resource.h
        src/common.h
        src/config/config_definition.cc
        src/config/config_definition.h
        src/config/config_generator.cc
        src/config/config_generator.h
        src/config/config_int_types.h
        src/config/config_manager.cc
        src/config/config_manager.h
        src/config/config_option_enum.h
        src/config/config_options.cc
        src/config/config_options.h
        src/config/config_setup.cc
        src/config/config_setup.h
        src/config/config_val.h
        src/config/grb_compile_info.cc
        src/config/grb_runtime.cc
        src/config/grb_runtime.h
        src/config/result/autoscan.cc
        src/config/result/autoscan.h
        src/config/result/box_layout.cc
        src/config/result/box_layout.h
        src/config/result/client_config.cc
        src/config/result/client_config.h
        src/config/result/directory_tweak.cc
        src/config/result/directory_tweak.h
        src/config/result/dynamic_content.cc
        src/config/result/dynamic_content.h
        src/config/result/edit_helper.h
        src/config/result/transcoding.cc
        src/config/result/transcoding.h
        src/config/setup/config_setup_array.cc
        src/config/setup/config_setup_array.h
        src/config/setup/config_setup_autoscan.cc
        src/config/setup/config_setup_autoscan.h
        src/config/setup/config_setup_bool.cc
        src/config/setup/config_setup_bool.h
        src/config/setup/config_setup_boxlayout.cc
        src/config/setup/config_setup_boxlayout.h
        src/config/setup/config_setup_client.cc
        src/config/setup/config_setup_client.h
        src/config/setup/config_setup_dictionary.cc
        src/config/setup/config_setup_dynamic.cc
        src/config/setup/config_setup_dynamic.h
        src/config/setup/config_setup_enum.h
        src/config/setup/config_setup_int.cc
        src/config/setup/config_setup_int.h
        src/config/setup/config_setup_path.cc
        src/config/setup/config_setup_path.h
        src/config/setup/config_setup_string.cc
        src/config/setup/config_setup_string.h
        src/config/setup/config_setup_time.cc
        src/config/setup/config_setup_time.h
        src/config/setup/config_setup_transcoding.cc
        src/config/setup/config_setup_transcoding.h
        src/config/setup/config_setup_tweak.cc
        src/config/setup/config_setup_tweak.h
        src/config/setup/config_setup_vector.cc
        src/config/setup/config_setup_vector.h
        src/config/setup/setup_util.h
        src/content/autoscan_list.cc
        src/content/autoscan_list.h
        src/content/autoscan_setting.cc
        src/content/autoscan_setting.h
        src/content/cm_task.cc
        src/content/cm_task.h
        src/content/content.h
        src/content/content_manager.cc
        src/content/content_manager.h
        src/content/import_service.cc
        src/content/import_service.h
        src/content/inotify/autoscan_inotify.cc
        src/content/inotify/autoscan_inotify.h
        src/content/inotify/directory_watch.cc
        src/content/inotify/directory_watch.h
        src/content/inotify/inotify_handler.cc
        src/content/inotify/inotify_handler.h
        src/content/inotify/inotify_types.h
        src/content/inotify/mt_inotify.cc
        src/content/inotify/mt_inotify.h
        src/content/inotify/watch.h
        src/content/layout/builtin_layout.cc
        src/content/layout/builtin_layout.h
        src/content/layout/js_layout.cc
        src/content/layout/js_layout.h
        src/content/layout/layout.cc
        src/content/layout/layout.h
        src/content/onlineservice/curl_online_service.cc
        src/content/onlineservice/curl_online_service.h
        src/content/onlineservice/lastfm_scrobbler.cc
        src/content/onlineservice/lastfm_scrobbler.h
        src/content/onlineservice/online_service.cc
        src/content/onlineservice/online_service.h
        src/content/onlineservice/online_service_helper.cc
        src/content/onlineservice/online_service_helper.h
        src/content/onlineservice/task_processor.cc
        src/content/onlineservice/task_processor.h
        src/content/scripting/duk_compat.h
        src/content/scripting/import_script.cc
        src/content/scripting/import_script.h
        src/content/scripting/js_functions.cc
        src/content/scripting/js_functions.h
        src/content/scripting/metafile_parser_script.cc
        src/content/scripting/metafile_parser_script.h
        src/content/scripting/parser_script.cc
        src/content/scripting/parser_script.h
        src/content/scripting/playlist_parser_script.cc
        src/content/scripting/playlist_parser_script.h
        src/content/scripting/script.cc
        src/content/scripting/script.h
        src/content/scripting/script_names.h
        src/content/scripting/script_property.cc
        src/content/scripting/script_property.h
        src/content/scripting/scripting_runtime.cc
        src/content/scripting/scripting_runtime.h
        src/content/update_manager.cc
        src/content/update_manager.h
        src/context.cc
        src/context.h
        src/contrib/md5.c
        src/contrib/md5.h
        src/database/database.cc
        src/database/database.h
        src/database/db_param.h
        src/database/mysql/mysql_database.cc
        src/database/mysql/mysql_database.h
        src/database/search_handler.cc
        src/database/search_handler.h
        src/database/sql_database.cc
        src/database/sql_database.h
        src/database/sql_format.h
        src/database/sql_table.cc
        src/database/sql_table.h
        src/database/sqlite3/sl_task.cc
        src/database/sqlite3/sl_task.h
        src/database/sqlite3/sqlite_config.cc
        src/database/sqlite3/sqlite_config.h
        src/database/sqlite3/sqlite_database.cc
        src/database/sqlite3/sqlite_database.h
        src/exceptions.cc
        src/exceptions.h
        src/iohandler/buffered_io_handler.cc
        src/iohandler/buffered_io_handler.h
        src/iohandler/curl_io_handler.cc
        src/iohandler/curl_io_handler.h
        src/iohandler/file_io_handler.cc
        src/iohandler/file_io_handler.h
        src/iohandler/io_handler.cc
        src/iohandler/io_handler.h
        src/iohandler/io_handler_buffer_helper.cc
        src/iohandler/io_handler_buffer_helper.h
        src/iohandler/io_handler_chainer.cc
        src/iohandler/io_handler_chainer.h
        src/iohandler/mem_io_handler.cc
        src/iohandler/mem_io_handler.h
        src/iohandler/process_io_handler.cc
        src/iohandler/process_io_handler.h
        src/metadata/exiv2_handler.cc
        src/metadata/exiv2_handler.h
        src/metadata/ffmpeg_handler.cc
        src/metadata/ffmpeg_handler.h
        src/metadata/ffmpeg_thumbnailer_handler.cc
        src/metadata/ffmpeg_thumbnailer_handler.h
        src/metadata/libexif_handler.cc
        src/metadata/libexif_handler.h
        src/metadata/matroska_handler.cc
        src/metadata/matroska_handler.h
        src/metadata/metacontent_handler.cc
        src/metadata/metacontent_handler.h
        src/metadata/metadata_enums.cc
        src/metadata/metadata_enums.h
        src/metadata/metadata_handler.cc
        src/metadata/metadata_handler.h
        src/metadata/metadata_service.cc
        src/metadata/metadata_service.h
        src/metadata/resolution.cc
        src/metadata/resolution.h
        src/metadata/taglib_handler.cc
        src/metadata/taglib_handler.h
        src/metadata/wavpack_handler.cc
        src/metadata/wavpack_handler.h
        src/request_handler/file_request_handler.cc
        src/request_handler/file_request_handler.h
        src/request_handler/device_description_handler.cc
        src/request_handler/device_description_handler.h
        src/request_handler/request_handler.cc

## gerbera-dmo 1.9.0

=== debian/changelog ===
gerbera-dmo (1:1.9.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 30 Jul 2021 20:17:04 +0200

gerbera-dmo (1:1.8.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 01 Jun 2021 02:08:56 +0200

gerbera-dmo (1:1.8.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 11 May 2021 08:04:49 +0200

gerbera-dmo (1:1.8.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 08 Apr 2021 08:45:52 +0200

gerbera-dmo (1:1.7.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Feb 2021 14:37:20 +0100

gerbera-dmo (1:1.6.4-dmo3) unstable; urgency=medium

  * Build with libfmt7

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 28 Dec 2020 10:10:36 +0100

gerbera-dmo (1:1.6.4-dmo2) unstable; urgency=medium

  * Build with libspdlog1

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 16 Dec 2020 01:13:53 +0100

gerbera-dmo (1:1.6.4-dmo1) unstable; urgency=medium

  * New upstream bugfix release to fix another regression in 1.6.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 15 Oct 2020 08:47:43 +0200

gerbera-dmo (1:1.6.3-dmo1) unstable; urgency=medium

  * New upstream bugfix release to fix regression in 1.6.2

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Oct 2020 10:05:55 +0200

gerbera-dmo (1:1.6.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 14 Oct 2020 08:41:55 +0200

gerbera-dmo (1:1.6.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 04 Sep 2020 08:37:40 +0200

gerbera-dmo (1:1.6.0-dmo3) unstable; urgency=medium

  * Restore patch to set gerbera home to /var/lib/gerbera instread of
    .config/gerbera

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 29 Jul 2020 22:18:45 +0200

gerbera-dmo (1:1.6.0-dmo2) unstable; urgency=medium

  * Don't use font-awesome*.css files from fonts-font-awesome package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 26 Jul 2020 10:58:58 +0200

gerbera-dmo (1:1.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 25 Jul 2020 00:00:10 +0200

gerbera-dmo (1:1.5.0-dmo5) unstable; urgency=medium

  * Build with libupnp17

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 22 Jul 2020 19:02:47 +0200

gerbera-dmo (1:1.5.0-dmo4) unstable; urgency=medium

  * Build with libmatroska7

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 27 Jun 2020 15:09:57 +0200

gerbera-dmo (1:1.5.0-dmo3) unstable; urgency=medium

  * Fix popper.js symlink (Thanks to Francesco Potortì for the bug report).
  * Move all symlinks to Debian packages from dh_link to dh_linktree
  * Replaces libjs-bootstrap by libjs-bootstrap4
  * Dont use fonts from fonts-glewlwyd package instead link to
    fonts-font-awesome package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 18 May 2020 01:27:24 +0200

gerbera-dmo (1:1.5.0-dmo2) unstable; urgency=medium

  * Changes libjs-jquery by node-jquery dependency.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 08 May 2020 09:05:14 +0200

gerbera-dmo (1:1.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 02 May 2020 21:31:15 +0200

gerbera-dmo (1:1.4.0+20200223.git7b16a26c-dmo1) unstable; urgency=medium

  * New git snapshot.
  * Build with libduktape205

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 23 Feb 2020 01:00:05 +0100

gerbera-dmo (1:1.4.0+20200216.gitb93113f2-dmo1) unstable; urgency=medium

  * Git snaphot with pupnp 1.12 support.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 16 Feb 2020 17:40:25 +0100

gerbera-dmo (1:1.4.0-dmo3) unstable; urgency=medium

  * Build with libupnp16

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jan 2020 11:59:43 +0100

gerbera-dmo (1:1.4.0-dmo2) unstable; urgency=medium

  * Build with libexiv2-27

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 04 Jan 2020 14:56:09 +0100

gerbera-dmo (1:1.4.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 25 Dec 2019 09:43:24 +0100

gerbera-dmo (1:1.3.5-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 23 Nov 2019 00:54:11 +0100

gerbera-dmo (1:1.3.4-dmo1) unstable; urgency=medium

  * New upstream release.
  * Add upstream patch to fix build with libupnp 1.10

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 21 Nov 2019 09:05:44 +0100

gerbera-dmo (1:1.3.3-dmo3) unstable; urgency=medium

  * Build with pupnp-1.8 1.10.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 03 Nov 2019 09:48:57 +0100

gerbera-dmo (1:1.3.3-dmo2) unstable; urgency=medium

  * Fix libjs-popper.js symbolic link.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Oct 2019 16:02:01 +0100

gerbera-dmo (1:1.3.3-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 29 Oct 2019 15:41:43 +0100

gerbera-dmo (1:1.3.2-dmo2) unstable; urgency=medium

  * Add more symbolic link for javascript packages (libjs-popper.js and
    libjs-jquery-ui)

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 07 Aug 2019 14:17:44 +0200

gerbera-dmo (1:1.3.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Jun 2019 08:06:43 +0200

gerbera-dmo (1:1.3.1-dmo2) unstable; urgency=medium

  * Generated /etc/gerbera/config.xml define now


=== debian/control ===
Source: gerbera-dmo
Section: net
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://gerbera.io/
Standards-Version: 4.5.1
Build-Depends-Indep: python3-sphinx-rtd-theme, dh-sequence-sphinxdoc
Build-Depends: debhelper-compat (= 13), cmake, libupnp-dev (>= 1:1.14~), uuid-dev,
 duktape-dev (>= 2.5.0~), libexif-dev, libexpat-dev, libsqlite3-dev, libtag1-dev,
 systemd, libcurl4-gnutls-dev, libmagic-dev, libavcodec-dev, libavformat-dev,
 libz-dev, libexiv2-dev (>= 0.27~), libfmt-dev, libspdlog-dev (>= 1:1.8.1~),
 libffmpegthumbnailer-dev, libpugixml-dev, default-libmysqlclient-dev (>= 1.0.5~),
 libjs-popper.js, ninja-build, libmatroska-dev (>= 1:1.6.0~), quilt,
 dh-linktree,
 fonts-font-awesome, libjs-bootstrap4, libjs-jquery-ui, libjs-popper.js, node-jquery

Package: gerbera
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, adduser, lsb-base, ${misc:Depends}
Description: UPnP MediaServer
 Gerbera is an UPnP MediaServer with a nice web user interface based on
 MediaTomb. It allows you to stream your digital media through your home
 network and listen to/watch it on a variety of UPnP compatible devices.
 .
 Gerbera implements the UPnP MediaServer V 1.0 specification that can be
 found on http://www.upnp.org/. The current implementation focuses on parts
 that are required by the specification, however Gerbera's functionality is
 extended to cover the optional parts of the spec as well.

Package: gerbera-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends}
Description: UPnP MediaServer - documentation
 Gerbera is an UPnP MediaServer with a nice web user interface based on
 MediaTomb. It allows you to stream your digital media through your home
 network and listen to/watch it on a variety of UPnP compatible devices.
 .
 Gerbera implements the UPnP MediaServer V 1.0 specification that can be
 found on http://www.upnp.org/. The current implementation focuses on parts
 that are required by the specification, however Gerbera's functionality is
 extended to cover the optional parts of the spec as well.
 .
 This package contains the documentation for Gerbera.

=== debian/rules ===
#!/usr/bin/make -f

%:
	dh $@ -Scmake+ninja --with quilt,linktree,sphinxdoc

override_dh_auto_configure:
	dh_auto_configure -- \
	-DWITH_AVCODEC=1 \
	-DWITH_EXIV2=1 \
	-DWITH_FFMPEGTHUMBNAILER=1 \
	-DWITH_MYSQL=1

##	-Wno-dev

#	exit 1

override_dh_auto_build-indep:
	python3 -m sphinx -b html doc doc/_build/html

override_dh_install:
	dh_install

override_dh_clean:
	dh_clean

	${RM} -rf  doc/_build/html

override_dh_auto_test:

=== debian/watch ===
version=4

https://github.com/gerbera/gerbera/releases \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## gerbera-dmo 1.12.1

=== debian/changelog ===
gerbera-dmo (1:1.12.1-dmo2) unstable; urgency=medium

  * Build with ffmpeg 6.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 02 Mar 2023 11:14:42 +0100

gerbera-dmo (1:1.12.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Tue, 03 Jan 2023 09:07:06 +0100

gerbera-dmo (1:1.12.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 05 Nov 2022 07:58:52 +0100

gerbera-dmo (1:1.11.0-dmo6) unstable; urgency=medium

  * Build with libfmt9

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 19 Aug 2022 14:52:33 +0200

gerbera-dmo (1:1.11.0-dmo5) unstable; urgency=medium

  * Build with libnpupnp9

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 12 Aug 2022 15:39:54 +0200

gerbera-dmo (1:1.11.0-dmo4) unstable; urgency=medium

  * Make postrm script more robust.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 04 Aug 2022 20:34:43 +0200

gerbera-dmo (1:1.11.0-dmo3) unstable; urgency=medium

  * Don't use system font. This overload fontconfig and make fonts selector
    very slow to open with hundreds of fonts.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Jul 2022 16:25:33 +0200

gerbera-dmo (1:1.11.0-dmo2) unstable; urgency=medium

  * Build with ffmpeg 5.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 23 Jun 2022 14:45:08 +0200

gerbera-dmo (1:1.11.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 04 May 2022 08:44:28 +0200

gerbera-dmo (1:1.10.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 25 Feb 2022 00:34:06 +0100

gerbera-dmo (1:1.9.2-dmo8) unstable; urgency=medium

  * Build with libduktape207

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 24 Feb 2022 15:37:15 +0100

gerbera-dmo (1:1.9.2-dmo7) unstable; urgency=medium

  * Add upstream patch to fix build with fmt >= 8.1
  * Build with libnpupnp4 instead of libupnp17

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 02 Feb 2022 00:12:18 +0100

gerbera-dmo (1:1.9.2-dmo6) unstable; urgency=medium

  * Build with libfmt8

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 22 Dec 2021 00:47:42 +0100

gerbera-dmo (1:1.9.2-dmo5) unstable; urgency=medium

  * Back to libupnp17, gerbera isn't ready for libnpupnp4

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 01 Nov 2021 10:42:36 +0100

gerbera-dmo (1:1.9.2-dmo4) unstable; urgency=medium

  * Set default home directory to /var/lib/gerbera in the postinst script,
    otherwise gerbera webserver doesn't start.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Oct 2021 16:43:48 +0200

gerbera-dmo (1:1.9.2-dmo3) unstable; urgency=medium

  * Build with libnpupnp4 instead of libupnp17

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Oct 2021 13:11:38 +0200

gerbera-dmo (1:1.9.2-dmo2) unstable; urgency=medium

  * Fix Sphinx configuration.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Oct 2021 02:02:21 +0200

gerbera-dmo (1:1.9.2-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 01 Oct 2021 01:09:25 +0200

gerbera-dmo (1:1.9.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 27 Aug 2021 13:52:37 +0200

gerbera-dmo (1:1.9.0-dmo2) unstable; urgency=medium

  * Build with libduktape206

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 19 Aug 2021 02:22:19 +0200

=== debian/control ===
--- 
+++ 
@@ -4,21 +4,22 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gerbera.io/
-Standards-Version: 4.5.1
+Standards-Version: 4.6.2
 Build-Depends-Indep: python3-sphinx-rtd-theme, dh-sequence-sphinxdoc
-Build-Depends: debhelper-compat (= 13), cmake, libupnp-dev (>= 1:1.14~), uuid-dev,
- duktape-dev (>= 2.5.0~), libexif-dev, libexpat-dev, libsqlite3-dev, libtag1-dev,
- systemd, libcurl4-gnutls-dev, libmagic-dev, libavcodec-dev, libavformat-dev,
- libz-dev, libexiv2-dev (>= 0.27~), libfmt-dev, libspdlog-dev (>= 1:1.8.1~),
- libffmpegthumbnailer-dev, libpugixml-dev, default-libmysqlclient-dev (>= 1.0.5~),
- libjs-popper.js, ninja-build, libmatroska-dev (>= 1:1.6.0~), quilt,
+Build-Depends: debhelper-compat (= 13), cmake, uuid-dev, libnpupnp-dev (>= 5.0.0~),
+ duktape-dev (>= 2.7.0), libexif-dev, libexpat-dev, libsqlite3-dev, systemd,
+ libtag1-dev (>= 1.12),  libcurl4-gnutls-dev, libmagic-dev, libavcodec-dev,
+ libavformat-dev, libz-dev, libexiv2-dev (>= 0.27), libfmt-dev (>= 8.0.1),
+ libspdlog-dev (>= 1:1.8.5), libffmpegthumbnailer-dev, libpugixml-dev,
+ default-libmysqlclient-dev (>= 1.0.5), libjs-popper.js, ninja-build,
+ libmatroska-dev (>= 1:1.6.0), quilt,
  dh-linktree,
- fonts-font-awesome, libjs-bootstrap4, libjs-jquery-ui, libjs-popper.js, node-jquery
+ libjs-bootstrap4, libjs-jquery-ui, libjs-popper.js, node-jquery
 
 Package: gerbera
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, adduser, lsb-base, ${misc:Depends}
+Depends: ${shlibs:Depends}, adduser, sysvinit-utils (>= 3.05-4~), ${misc:Depends}
 Description: UPnP MediaServer
  Gerbera is an UPnP MediaServer with a nice web user interface based on
  MediaTomb. It allows you to stream your digital media through your home

=== debian/rules ===
--- 
+++ 
@@ -8,9 +8,8 @@
 	-DWITH_AVCODEC=1 \
 	-DWITH_EXIV2=1 \
 	-DWITH_FFMPEGTHUMBNAILER=1 \
-	-DWITH_MYSQL=1
-
-##	-Wno-dev
+	-DWITH_MYSQL=1 \
+	-DWITH_NPUPNP=1
 
 #	exit 1

## gerbera-dmo 2.6.0

=== debian/changelog ===
gerbera-dmo (1:2.6.0-dmo0~bpo12+1) bookworm-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Aug 2025 15:48:24 +0200

gerbera-dmo (1:2.5.0-dmo0~bpo12+2) stable-backports; urgency=medium

  * Build with pupnp instead of npupnp

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Jun 2025 11:04:54 +0200

gerbera-dmo (1:2.5.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 12 Mar 2025 14:04:16 +0100

gerbera-dmo (1:2.4.1-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 12 Jan 2025 16:45:10 +0100

gerbera-dmo (1:2.3.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 20 Sep 2024 08:46:52 +0200

gerbera-dmo (1:2.2.0-dmo0~bpo12+2) stable-backports; urgency=medium

  * Must be built with ffmpeg support (Thanks Eric G.J.  de Waal for the bug
    report)

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Aug 2024 16:25:46 +0200

gerbera-dmo (1:2.2.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Jul 2024 10:51:47 +0200

gerbera-dmo (1:2.1.0-dmo0~bpo12+2) stable-backports; urgency=medium

  * Add upstream patch to fix build with ffmpegthumbnailer (Thanks to Achim
    Finger for the bug report.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Apr 2024 02:02:45 +0200

gerbera-dmo (1:2.1.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.
  * Build with TagLib instead of ffmpeg/libav to extract file metadata
  * Should Build-Depends on pkg-config

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Apr 2024 15:28:50 +0200

gerbera-dmo (1:2.0.0-dmo0~bpo12+2) stable-backports; urgency=medium

  * Build with libnpupnp13

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Jan 2024 16:28:25 +0100

gerbera-dmo (1:2.0.0-dmo0~bpo12+1) stable-backports; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 15 Jan 2024 09:27:33 +0100

=== debian/control ===
Source: gerbera-dmo
Section: net
Priority: optional
Maintainer: Christian Marillat <marillat@deb-multimedia.org>
Bugs: mailto:marillat@deb-multimedia.org
Homepage: https://gerbera.io/
Rules-Requires-Root: no
Standards-Version: 4.6.2
Build-Depends-Indep: python3-sphinx-rtd-theme, dh-sequence-sphinxdoc
Build-Depends: debhelper-compat (= 13), cmake, uuid-dev, libupnp-dev,
 duktape-dev (>= 2.7.0), libexif-dev, libexpat-dev, libsqlite3-dev, systemd,
 libtag1-dev (>= 1.12),  libcurl4-gnutls-dev, libmagic-dev, libz-dev, pkgconf,
 libexiv2-dev (>= 0.27), libfmt-dev (>= 8.0.1), libspdlog-dev (>= 1:1.8.5),
 libpugixml-dev, libjs-popper.js, ninja-build, libmatroska-dev (>= 1:1.6.0),
 default-libmysqlclient-dev (>= 1.0.5), quilt, libavcodec-dev, libavutil-dev,
 libavformat-dev, libffmpegthumbnailer-dev, libjsoncpp-dev, libicu-dev,
 dh-linktree,
 libjs-jquery-ui, node-jquery

Package: gerbera
Architecture: any
Pre-Depends: ${misc:Pre-Depends},
Depends: ${shlibs:Depends}, adduser, sysvinit-utils (>= 3.05-4~), ${misc:Depends},
Description: UPnP MediaServer
 Gerbera is an UPnP MediaServer with a nice web user interface based on
 MediaTomb. It allows you to stream your digital media through your home
 network and listen to/watch it on a variety of UPnP compatible devices.
 .
 Gerbera implements the UPnP MediaServer V 1.0 specification that can be
 found on https://www.upnp.org/. The current implementation focuses on parts
 that are required by the specification, however Gerbera's functionality is
 extended to cover the optional parts of the spec as well.

Package: gerbera-doc
Architecture: all
Multi-Arch: foreign
Section: doc
Depends: ${misc:Depends}, ${sphinxdoc:Depends},
Description: UPnP MediaServer - documentation
 Gerbera is an UPnP MediaServer with a nice web user interface based on
 MediaTomb. It allows you to stream your digital media through your home
 network and listen to/watch it on a variety of UPnP compatible devices.
 .
 Gerbera implements the UPnP MediaServer V 1.0 specification that can be
 found on https://www.upnp.org/. The current implementation focuses on parts
 that are required by the specification, however Gerbera's functionality is
 extended to cover the optional parts of the spec as well.
 .
 This package contains the documentation for Gerbera.

## gerbera-dmo 2.6.1

=== test/core/CMakeLists.txt ===
#*GRB*
#
#  Gerbera - https://gerbera.io/
#
#  CMakeLists.txt - this file is part of Gerbera.
#
#  Copyright (C) 2016-2025 Gerbera Contributors
#
#  Gerbera is free software; you can redistribute it and/or modify
#  it under the terms of the GNU General Public License version 2
#  as published by the Free Software Foundation.
#
#  Gerbera is distributed in the hope that it will be useful,
#  but WITHOUT ANY WARRANTY; without even the implied warranty of
#  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#  GNU General Public License for more details.
#
#  You should have received a copy of the GNU General Public License
#  along with Gerbera.  If not, see <http://www.gnu.org/licenses/>.
#
#  $Id$

include(GoogleTest)
generate_compile_info()

add_executable(testcore
    main.cc
    test_searchhandler.cc
    test_server.cc
    test_upnp_map.cc
    test_upnp_xml.cc
    test_ffmpeg_cache_paths.cc
    test_url_utils.cc
)

if (NOT TARGET GTest::gmock)
    target_link_libraries(testcore PRIVATE
        libgerbera
        GTest::GTest
    )
else()
    target_link_libraries(testcore PRIVATE
        libgerbera
        GTest::gmock
    )
endif()

target_compile_definitions(testcore PRIVATE CMAKE_BINARY_DIR="$<TARGET_FILE_DIR:gerbera>")
target_compile_definitions(testcore PRIVATE COMPILE_INFO="${COMPILE_INFO}")
target_compile_definitions(testcore PRIVATE GIT_BRANCH="${GIT_BRANCH}")
target_compile_definitions(testcore PRIVATE GIT_COMMIT_HASH="${GIT_COMMIT_HASH}")
add_dependencies(testcore libgerbera gerbera)

gtest_discover_tests(testcore DISCOVERY_TIMEOUT 60 TEST_LIST GRB_CORE_TESTS)

add_test(NAME coreFixtures
    COMMAND ${CMAKE_COMMAND} -E copy_directory ${CMAKE_CURRENT_SOURCE_DIR}/fixtures ${CMAKE_CURRENT_BINARY_DIR}/fixtures
    # DEPENDS fixtures/*
)
set_tests_properties(coreFixtures PROPERTIES FIXTURES_SETUP GrbCore)

set_property(DIRECTORY APPEND PROPERTY
    TEST_INCLUDE_FILES ${CMAKE_CURRENT_LIST_DIR}/CTestManip.cmake
)

=== debian/changelog ===
gerbera-dmo (1:2.6.1-dmo1~bpo13+1) trixie-backports; urgency=medium

  * Upload to stable-backports (Build with ffmpeg 8)

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 16 Oct 2025 08:22:04 +0200

gerbera-dmo (1:2.6.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 16 Aug 2025 00:50:46 +0200

gerbera-dmo (1:2.6.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Aug 2025 14:34:30 +0200

gerbera-dmo (1:2.5.0-dmo3) unstable; urgency=medium

  * Build with pupnp instead of npupnp

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 02 Jun 2025 09:31:49 +0200

gerbera-dmo (1:2.5.0-dmo2) unstable; urgency=medium

  * Rebuild ARM packages are lost

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Mar 2025 22:00:08 +0100

gerbera-dmo (1:2.5.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 06 Mar 2025 18:03:09 +0100

gerbera-dmo (1:2.4.1-dmo1+b2) unstable; urgency=medium

  * Build with libtag2

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 11 Jan 2025 11:58:26 +0100

gerbera-dmo (1:2.4.1-dmo1+b1) unstable; urgency=medium

  * Build with libspdlog1.15

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 10 Jan 2025 09:05:27 +0100

gerbera-dmo (1:2.4.1-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 08 Jan 2025 01:42:53 +0100

gerbera-dmo (1:2.3.0-dmo2) unstable; urgency=medium

  * Build with upstream libjs-bootstrap4

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 28 Nov 2024 15:09:40 +0100

gerbera-dmo (1:2.3.0-dmo1+b1) unstable; urgency=medium

  * Build with libfmt10; no source changes.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 04 Nov 2024 16:08:06 +0100

gerbera-dmo (1:2.3.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 18 Sep 2024 14:34:00 +0200

gerbera-dmo (1:2.2.0-dmo5) unstable; urgency=medium

  * Build with libexiv2-28

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 06 Sep 2024 09:19:39 +0200

gerbera-dmo (1:2.2.0-dmo4) unstable; urgency=medium

  * Must be built with ffmpeg support (Thanks Eric G.J.  de Waal for the bug
    report)

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 25 Aug 2024 17:04:50 +0200

gerbera-dmo (1:2.2.0-dmo3) unstable; urgency=medium

  * Use libjs-bootstrap4 package.

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Jul 2024 07:38:01 +0200

gerbera-dmo (1:2.2.0-dmo2) unstable; urgency=medium

  * Use libjs-jquery-ui and fonts-font-awesome packages.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Jul 2024 08:24:58 +0200

gerbera-dmo (1:2.2.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 05 Jul 2024 15:49:06 +0200

gerbera-dmo (1:2.1.0-dmo3) unstable; urgency=medium

  * Add upstream patch to fix build with ffmpegthumbnailer (Thanks to Achim
    Finger for the bug report.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 28 Apr 2024 02:22:46 +0200

gerbera-dmo (1:2.1.0-dmo2) unstable; urgency=medium

  * Build with TagLib instead of ffmpeg/libav to extract file metadata
  * Add pkgconf to Build-Depends

 -- Christian Marillat <marillat@deb-multimedia.org>  Wed, 24 Apr 2024 15:22:29 +0200

gerbera-dmo (1:2.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 08 Apr 2024 14:30:06 +0200

gerbera-dmo (1:2.0.0-dmo4) unstable; urgency=medium

  * Build with ffmpeg 7.0

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 06 Apr 2024 14:11:40 +0200

gerbera-dmo (1:2.0.0-dmo3) unstable; urgency=medium

  * Rebuild for time_t

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 17 Mar 2024 07:50:32 +0100

gerbera-dmo (1:2.0.0-dmo2) unstable; urgency=medium

  * Build with libnpupnp13

 -- Christian Marillat <marillat@deb-multimedia.org>  Thu, 25 Jan 2024 14:53:58 +0100

gerbera-dmo (1:2.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 07 Jan 2024 10:07:42 +0100

gerbera-dmo (1:1.12.1-dmo5) unstable; urgency=medium

  * Build with libnpupnp13

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 22 Dec 2023 10:37:39 +0100

gerbera-dmo (1:1.12.1-dmo4) unstable; urgency=medium

  * Build with libnpupnp12

 -- Christian Marillat <marillat@deb-multimedia.org>  Mon, 27 Nov 2023 08:42:12 +0100

gerbera-dmo (1:1.12.1-dmo3) unstable; urgency=medium

  * Build with libspdlog1.12

 -- Christian Marillat <marillat@deb-multimedia.org>  Sat, 18 Nov 2023 08:01:37 +0100

=== debian/control ===
--- 
+++ 
@@ -4,18 +4,19 @@
 Maintainer: Christian Marillat <marillat@deb-multimedia.org>
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gerbera.io/
-Rules-Requires-Root: no
-Standards-Version: 4.6.2
+Standards-Version: 4.7.2
 Build-Depends-Indep: python3-sphinx-rtd-theme, dh-sequence-sphinxdoc
 Build-Depends: debhelper-compat (= 13), cmake, uuid-dev, libupnp-dev,
- duktape-dev (>= 2.7.0), libexif-dev, libexpat-dev, libsqlite3-dev, systemd,
- libtag1-dev (>= 1.12),  libcurl4-gnutls-dev, libmagic-dev, libz-dev, pkgconf,
- libexiv2-dev (>= 0.27), libfmt-dev (>= 8.0.1), libspdlog-dev (>= 1:1.8.5),
- libpugixml-dev, libjs-popper.js, ninja-build, libmatroska-dev (>= 1:1.6.0),
- default-libmysqlclient-dev (>= 1.0.5), quilt, libavcodec-dev, libavutil-dev,
- libavformat-dev, libffmpegthumbnailer-dev, libjsoncpp-dev, libicu-dev,
+ duktape-dev (>= 2.7.0), libexif-dev, libexpat-dev, libsqlite3-dev, systemd-dev,
+ libtag-dev, libcurl4-gnutls-dev, libmagic-dev, libz-dev, pkgconf,
+ libexiv2-dev (>= 0.27), libfmt-dev (>= 9.1~), libspdlog-dev (>= 1:1.15.0~),
+ libffmpegthumbnailer-dev, libpugixml-dev (>= 1.14~), libmatroska-dev (>= 1:1.6.0),
+ quilt, default-libmysqlclient-dev (>= 1.0.5), libjs-popper.js, ninja-build,
+ libavutil-dev, libavformat-dev, libavcodec-dev, libjsoncpp-dev, libicu-dev,
  dh-linktree,
- libjs-jquery-ui, node-jquery
+ libjs-jquery-ui, libjs-jquery, fonts-font-awesome,
+
+## libjs-bootstrap4,
 
 Package: gerbera
 Architecture: any

=== debian/rules ===
--- 
+++ 
@@ -5,11 +5,15 @@
 
 override_dh_auto_configure:
 	dh_auto_configure -- \
-	-DWITH_AVCODEC=1 \
-	-DWITH_EXIV2=1 \
-	-DWITH_FFMPEGTHUMBNAILER=1 \
-	-DWITH_MYSQL=1 \
-	-DWITH_NPUPNP=1
+	-DCMAKE_BUILD_TYPE=RelWithDebInfo \
+	-DWITH_AVCODEC=ON \
+	-DWITH_EXIV2=ON \
+	-DWITH_FFMPEGTHUMBNAILER=ON \
+	-DWITH_JS=ON \
+	-DWITH_MYSQL=ON \
+	-DWITH_NPUPNP=OFF \
+	-DWITH_PUPNP=ON \
+	-DWITH_TAGLIB=ON
 
 #	exit 1

=== debian/watch ===
version=4

https://github.com/gerbera/gerbera/tags \
(?:.*?/)?v?(\d[\d.]*)@ARCHIVE_EXT@

## gerbera-dmo 3.0.0

=== CMakeLists.txt ===
--- 
+++ 
@@ -25,7 +25,7 @@
 
 # Only set for release tags
 # You should only see version "git" when built from a git snapshot tarball
-set(GERBERA_VERSION "2.6.0")
+set(GERBERA_VERSION "3.0.0")
 
 project(Gerbera
         DESCRIPTION "UPnP Media Server"
@@ -50,6 +50,7 @@
 option(WITH_NPUPNP            "Use npupnp instead of libupnp" OFF)
 option(WITH_MAGIC             "Use libmagic to identify file mime types" ON)
 option(WITH_MYSQL             "Store media information in MySQL DB" OFF)
+option(WITH_PGSQL             "Store media information in PostgreSQL DB" OFF)
 option(WITH_CURL              "CURL required for online services" ON)
 option(WITH_INOTIFY           "Enable Inotify file monitoring support" ON)
 option(WITH_JS                "Enable JavaScript for scripting" ON)
@@ -60,7 +61,7 @@
 option(WITH_EXIF              "Use libexif to extract image metadata" ON)
 option(WITH_EXIV2             "Use libexiv2 to extract image metadata" ON)
 option(WITH_MATROSKA          "Use libmatroska to extract video/mkv metadata" ON)
-option(WITH_SYSTEMD           "Install Systemd unit file" ON)
+option(WITH_SYSTEMD           "Install Systemd unit file and notify systemd" ON)
 option(WITH_LASTFM            "Enable scrobbling to LastFM" OFF)
 option(WITH_ICU               "Enable Support for transliteration" ON)
 option(WITH_ONLINE_SERVICES   "Enable support for Online Services" OFF) # currently there is no online service left, this enables compiling the empty shell
@@ -176,9 +177,14 @@
         src/content/inotify/directory_watch.h
         src/content/inotify/inotify_handler.cc
         src/content/inotify/inotify_handler.h
+        src/content/inotify/inotify_manager_cc.h
+        src/content/inotify/inotify_manager.h
+        src/content/inotify/inotify_types.cc
         src/content/inotify/inotify_types.h
         src/content/inotify/mt_inotify.cc
         src/content/inotify/mt_inotify.h
+        src/content/inotify/scripting_inotify.cc
+        src/content/inotify/scripting_inotify.h
         src/content/inotify/watch.h
         src/content/layout/builtin_layout.cc
         src/content/layout/builtin_layout.h
@@ -190,6 +196,8 @@
         src/content/onlineservice/curl_online_service.h
         src/content/onlineservice/lastfm_scrobbler.cc
         src/content/onlineservice/lastfm_scrobbler.h
+        src/content/onlineservice/lastfmlib.cc
+        src/content/onlineservice/lastfmlib.h
         src/content/onlineservice/online_service.cc
         src/content/onlineservice/online_service.h
         src/content/onlineservice/online_service_helper.cc
@@ -225,13 +233,24 @@
         src/database/db_param.h
         src/database/mysql/mysql_database.cc
         src/database/mysql/mysql_database.h
+        src/database/mysql/mysql_result.cc
+        src/database/mysql/mysql_result.h
+        src/database/postgres/postgres_database.cc
+        src/database/postgres/postgres_database.h
+        src/database/postgres/pg_result.cc
+        src/database/postgres/pg_result.h
+        src/database/postgres/pg_task.cc
+        src/database/postgres/pg_task.h
         src/database/search_handler.cc
         src/database/search_handler.h
         src/database/sql_database.cc
         src/database/sql_database.h
         src/database/sql_format.h
+        src/database/sql_result.h
         src/database/sql_table.cc
         src/database/sql_table.h
+        src/database/sqlite3/sl_result.cc
+        src/database/sqlite3/sl_result.h
         src/database/sqlite3/sl_task.cc
         src/database/sqlite3/sl_task.h
         src/database/sqlite3/sqlite_config.cc
@@ -264,24 +283,3 @@
         src/metadata/ffmpeg_thumbnailer_handler.h
         src/metadata/libexif_handler.cc
         src/metadata/libexif_handler.h
-        src/metadata/matroska_handler.cc
-        src/metadata/matroska_handler.h
-        src/metadata/metacontent_handler.cc
-        src/metadata/metacontent_handler.h
-        src/metadata/metadata_enums.cc
-        src/metadata/metadata_enums.h
-        src/metadata/metadata_handler.cc
-        src/metadata/metadata_handler.h
-        src/metadata/metadata_service.cc
-        src/metadata/metadata_service.h
-        src/metadata/resolution.cc
-        src/metadata/resolution.h
-        src/metadata/taglib_handler.cc
-        src/metadata/taglib_handler.h
-        src/metadata/wavpack_handler.cc
-        src/metadata/wavpack_handler.h
-        src/request_handler/file_request_handler.cc
-        src/request_handler/file_request_handler.h
-        src/request_handler/device_description_handler.cc
-        src/request_handler/device_description_handler.h
-        src/request_handler/request_handler.cc

=== debian/changelog ===
gerbera-dmo (1:3.0.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 07 Nov 2025 15:25:30 +0100

gerbera-dmo (1:2.6.1-dmo2) unstable; urgency=medium

  * Build with ffmpeg 8

 -- Christian Marillat <marillat@deb-multimedia.org>  Sun, 31 Aug 2025 16:57:52 +0200

=== debian/control ===
--- 
+++ 
@@ -5,14 +5,14 @@
 Bugs: mailto:marillat@deb-multimedia.org
 Homepage: https://gerbera.io/
 Standards-Version: 4.7.2
-Build-Depends-Indep: python3-sphinx-rtd-theme, dh-sequence-sphinxdoc
 Build-Depends: debhelper-compat (= 13), cmake, uuid-dev, libupnp-dev,
  duktape-dev (>= 2.7.0), libexif-dev, libexpat-dev, libsqlite3-dev, systemd-dev,
- libtag-dev, libcurl4-gnutls-dev, libmagic-dev, libz-dev, pkgconf,
+ libtag-dev, libcurl4-gnutls-dev, libmagic-dev, libz-dev, pkgconf, libsystemd-dev,
  libexiv2-dev (>= 0.27), libfmt-dev (>= 9.1~), libspdlog-dev (>= 1:1.15.0~),
  libffmpegthumbnailer-dev, libpugixml-dev (>= 1.14~), libmatroska-dev (>= 1:1.6.0),
  quilt, default-libmysqlclient-dev (>= 1.0.5), libjs-popper.js, ninja-build,
  libavutil-dev, libavformat-dev, libavcodec-dev, libjsoncpp-dev, libicu-dev,
+ python3-sphinx-rtd-theme, dh-sequence-sphinxdoc, python3-sphinx-toolbox,
  dh-linktree,
  libjs-jquery-ui, libjs-jquery, fonts-font-awesome,

=== debian/rules ===
--- 
+++ 
@@ -14,11 +14,10 @@
 	-DWITH_NPUPNP=OFF \
 	-DWITH_PUPNP=ON \
 	-DWITH_TAGLIB=ON
-
 #	exit 1
 
-override_dh_auto_build-indep:
-	python3 -m sphinx -b html doc doc/_build/html
+#execute_after_dh_auto_build:
+#	python3 -m sphinx -b html doc doc/_build/html
 
 override_dh_install:
 	dh_install

## gerbera-dmo 3.1.0

=== debian/changelog ===
gerbera-dmo (1:3.1.0-dmo1) unstable; urgency=medium

  * New upstream release.

 -- Christian Marillat <marillat@deb-multimedia.org>  Fri, 16 Jan 2026 08:53:50 +0100
